> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# List IdP app assignments that are in progress

> Returns the IdP app assignments for the workspace that have been initiated but not yet completed by the identity provider (pending/processing), covering the async SCIM/Graph sync window.



## OpenAPI

````yaml https://api.saas-manager.biz.nuro.jp/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments/in-progress
openapi: 3.0.0
info:
  title: Assist SaaS Manager Public API
  description: >-
    Assist SaaS Manager API is a RESTful API providing programmatic access to
    much of the data in the system. It provides predictable URLs for accessing
    resources, and uses built-in HTTP features to receive commands and return
    responses. This makes it easy to communicate with from a wide variety of
    environments, from command-line utilities to gadgets to the browser URL bar
    itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.saas-manager.biz.nuro.jp
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: Structures
    description: ''
  - name: People
    description: ''
  - name: People Stats
    description: ''
  - name: Employee Masters
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Custom Services
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Workspace Licenses
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Service Roles
    description: ''
  - name: Service Licenses
    description: ''
  - name: Recommended Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/idp-app-assignments/in-progress:
    get:
      tags:
        - Services
      summary: List IdP app assignments that are in progress
      description: >-
        Returns the IdP app assignments for the workspace that have been
        initiated but not yet completed by the identity provider
        (pending/processing), covering the async SCIM/Graph sync window.
      operationId: publicGetIdpInProgressAssignments
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetInProgressAssignmentsResponseDto'
        '400':
          description: Workspace is not managed by an identity provider
        '401':
          description: Invalid or missing API key
      security:
        - API-Key: []
components:
  schemas:
    PublicGetInProgressAssignmentsResponseDto:
      type: object
      properties:
        assignments:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicInProgressAssignmentDto'
      required:
        - assignments
    PublicInProgressAssignmentDto:
      type: object
      properties:
        requestId:
          type: string
          readOnly: true
          example: bd01f221-8b4b-44d2-b836-e7b81923920a
        email:
          type: string
          readOnly: true
          example: taro.yamada@example.com
        displayName:
          type: string
          readOnly: true
          example: Yamada Taro
        status:
          type: string
          readOnly: true
          enum:
            - pending
            - processing
            - finished
            - finishedWithErrors
            - failed
          example: processing
        startedAt:
          type: string
          readOnly: true
          example: '2026-06-25T07:30:05.000Z'
        appRoleId:
          type: string
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
        workspaceName:
          type: string
          readOnly: true
          example: GitHub (Engineering)
        serviceName:
          type: string
          readOnly: true
          example: GitHub
      required:
        - requestId
        - email
        - displayName
        - status
        - startedAt
        - appRoleId
        - workspaceName
        - serviceName
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank' rel='noopener noreferrer'
        href='https://www.saas-manager.biz.nuro.jp/'>Assist SaaS Manager</a>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.